Summary:	Openbox preferences manager
Name:		obconf
Version:	2.0.4
Release:	%mkrel 6
Source0:	http://openbox.org/dist/obconf/%name-%version.tar.gz
Patch4:		obconf-2.0.3-link.patch
License:	GPLv2+
Group:		Graphical desktop/Other
Url:		http://openbox.org/wiki/Obconf
BuildRequires:	gettext-devel
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(obrender-3.5)
BuildRequires: pkgconfig(obt-3.5)
BuildRequires:	desktop-file-utils
Requires:	openbox

%description
ObConf is a graphical configuration tool for the Openbox window manager.

%prep
%setup -q
%autopatch -p0

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

# fix .desktop file
desktop-file-install --remove-key="Encoding" \
		--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README COPYING TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/application/x-openbox-theme.desktop
%{_datadir}/pixmaps/%{name}.png




%changelog
* Wed Feb 03 2016 ns80 <ns80> 2.0.4-6.mga6
+ Revision: 933771
- rebuild for Openbox 3.6.1

* Wed Sep 23 2015 ns80 <ns80> 2.0.4-5.mga6
+ Revision: 882432
- Rebuild to fix segmentation fault

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-4.mga5
+ Revision: 738947
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.4-3.mga5
+ Revision: 682962
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-2.mga4
+ Revision: 531964
- Mageia 4 Mass Rebuild

* Wed Aug 14 2013 fwang <fwang> 2.0.4-1.mga4
+ Revision: 466330
- new version 2.0.4

* Sat Jan 12 2013 umeabot <umeabot> 2.0.3-10.mga3
+ Revision: 361096
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 05 2011 fwang <fwang> 2.0.3-9.mga2
+ Revision: 176762
- fix linkage
- fix load rc.xml config file (bug#3597)

* Mon Sep 05 2011 shlomif <shlomif> 2.0.3-8.mga2
+ Revision: 138675
- Fix a crash due to missing argument to function.

  + fwang <fwang>
    - more upstream patches
    - tweak br
    - add upstream patch to build with openbox 3.5

* Wed Jan 26 2011 ahmad <ahmad> 2.0.3-7.mga1
+ Revision: 41414
- imported package obconf


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.3-7mdv2011.0
+ Revision: 613115
- the mass rebuild of 2010.1 packages

* Thu Jun 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0.3-6mdv2010.1
+ Revision: 547855
- change url and source to current location
- clean spec

* Fri May 14 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0.3-5mdv2010.1
+ Revision: 544738
- fix .desktop file

* Sat Dec 12 2009 Jérôme Brenier <incubusss@mandriva.org> 2.0.3-4mdv2010.1
+ Revision: 477580
- change Url (the former one was an archive)
- $RPM_BUILD_ROOT -> %%{buildroot}

* Thu May 21 2009 Jérôme Brenier <incubusss@mandriva.org> 2.0.3-3mdv2010.0
+ Revision: 378224
- fix license (GPLv2+)

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 2.0.3-2mdv2009.0
+ Revision: 200704
- rebuild

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 2.0.3-1mdv2009.0
+ Revision: 200688
- New version 2.0.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 Lev Givon <lev@mandriva.org> 1.6-1mdv2008.0
+ Revision: 13738
- Update to 1.6.


* Wed Feb 08 2006 Lev Givon <lev@mandriva.org> 1.5-1mdk
- Package for Mandriva

